import { render, screen } from '@testing-library/react';
import ButtonsContainer from '..';
import OrderJSON from '../../assets/dummy-order.json';

const mockedSetZoomIn = jest.fn();
const mockedCallApi = jest.fn();
const mockedAuthProvider = jest.fn();

console.log(JSON.stringify(OrderJSON));

describe('ButtonsContainer', () => {
  it('should render the component', () => {
    render(
      <ButtonsContainer
        isZoomIn={false}
        setIsZoomIn={mockedSetZoomIn}
        callOrderApi={mockedCallApi}
        authProvider={mockedAuthProvider}
        lines={[]}
        orderId="12312312"
      />
    );
    const buttonElement = screen.getByTestId('close-button');
    expect(buttonElement).toBeInTheDocument();
  });
});
